Create a retry request
POST
/v1/training-jobs/{trainingJobId}/retry-requestscurl -X POST 'https://api.embodiflow.io/v1/training-jobs/{trainingJobId}/retry-requests' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"resumeFromCheckpointArtifactId": "00000000-0000-0000-0000-000000000000"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- trainingJobIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- resumeFromCheckpointArtifactIdstring (uuid) | null
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- trainingArtifactIdstring必填
- modelImageRevisionIdstring必填
- computeProfileCodestring必填
- trainSpecobject | null必填
- desiredStatestring必填
- statusstring必填
- resumeFromCheckpointArtifactIdstring | null必填
- latestAttemptIdstring | null必填
- registeredModelVersionIdstring | null必填
- metricsSummaryobject | null必填
- failureSummaryobject | null必填
- modelstring | null必填
- frameworkstring | null必填
- outputArtifactIdstring | null必填
- datasetVersionIdstring | null
- inputProvenanceone of | null
- gpuClassCodestring | null
- gpuCountnumber | null
- cancelRequestedAtstring | null必填
- finishedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"trainingArtifactId": "string",
"modelImageRevisionId": "string",
"computeProfileCode": "string",
"trainSpec": {},
"desiredState": "string",
"status": "string",
"resumeFromCheckpointArtifactId": "string",
"latestAttemptId": "string",
"registeredModelVersionId": "string",
"metricsSummary": {},
"failureSummary": {},
"model": "string",
"framework": "string",
"outputArtifactId": "string",
"datasetVersionId": "string",
"inputProvenance": {
"kind": "export-derived",
"datasetVersionId": "string"
},
"gpuClassCode": "string",
"gpuCount": 0,
"cancelRequestedAt": "string",
"finishedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1